<?xml version="1.0" encoding="UTF-8"?><HTRAINEEREQ desc_thai="ประวัติบันทึกการขออบรม" desc_eng="HISTORY_REQUEST_TRAINING" editcheck="true" mainhelp="TTRAINEEREQHELP" referhelp="TTRAINEEREQHELP" mainkey="TRAINEEID" wfactive="true" wfkey="DOCID" fieldsystem="*" deleteflag="true" protype="table" config_field="">
	<FIELD>
		<TRAINEEID lang="A" encrypt="false" verify="false" log="false" type="String">
				<KEY>3</KEY>
				<RELATION>MEMPLOYEE</RELATION>
				<WIDTH>15</WIDTH>
				<DESC_ENG>Trainee ID</DESC_ENG>
				<DESC_THAI>รหัสผู้ขออบรม</DESC_THAI>
				<COMPONENT type="text">
					<!--HELP>TRA038HELP1</HELP-->
					<MAXSIZE>15</MAXSIZE>
					<SIZE>15</SIZE>
					<ALT_ENG>Trainee ID</ALT_ENG>
					<ALT_THAI>รหัสผู้ขออบรม </ALT_THAI>
					<REQUIRE>true</REQUIRE>
				</COMPONENT>
		</TRAINEEID>
		<DOCID lang="A" encrypt="false" verify="false" log="false" type="Integer" table="TTRAINEEREQ">
			<KEY>4</KEY>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Code</DESC_ENG>
			<DESC_THAI>รหัส</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัส</ALT_THAI>
				<ALT_ENG>Code</ALT_ENG>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</DOCID>
		<LINE_NO lang="A" encrypt="false" verify="false" log="false" type="String">
				<KEY>2</KEY>
				<WIDTH>10</WIDTH>
				<DESC_ENG>LINE_NO</DESC_ENG>
				<DESC_THAI>ลำดับที่</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>10</MAXSIZE>
					<SIZE>10</SIZE>
					<ALT_ENG>LINE_NO</ALT_ENG>
					<ALT_THAI>ลำดับที่ </ALT_THAI>
					<REQUIRE>true</REQUIRE>
				</COMPONENT>
		</LINE_NO>
		<POSITIONID lang="A" encrypt="false" verify="false" log="false" type="String">
				<RELATION>MPOSITION</RELATION>
				<WIDTH>15</WIDTH>
				<DESC_ENG>Position ID</DESC_ENG>
				<DESC_THAI>รหัสตำแหน่ง</DESC_THAI>
				<COMPONENT type="text">
					<HELP>POSITIONHELP</HELP>
					<HELP_RETURN_FIELD>false</HELP_RETURN_FIELD>
					<MAXSIZE>15</MAXSIZE>
					<SIZE>15</SIZE>
					<ALT_ENG>Position ID</ALT_ENG>
					<ALT_THAI>รหัสตำแหน่ง </ALT_THAI>
				</COMPONENT>
		</POSITIONID>
		<GROUPID lang="A" encrypt="false" verify="false" log="false" type="String">
				<RELATION>MGROUP</RELATION>
				<WIDTH>15</WIDTH>
				<DESC_ENG>Group ID</DESC_ENG>
				<DESC_THAI>รหัสกลุ่ม</DESC_THAI>
				<COMPONENT type="text">
					<HELP>GROUPHELP</HELP>
					<HELP_RETURN_FIELD>false</HELP_RETURN_FIELD>
					<MAXSIZE>15</MAXSIZE>
					<SIZE>15</SIZE>
					<ALT_ENG>Group ID</ALT_ENG>
					<ALT_THAI>รหัสกลุ่ม </ALT_THAI>
				</COMPONENT>
		</GROUPID>
		<COMPID lang="A" encrypt="false" verify="false" log="false" type="String">
				<RELATION>MCOMPANY</RELATION>
				<WIDTH>15</WIDTH>
				<DESC_ENG>Company ID</DESC_ENG>
				<DESC_THAI>รหัสบริษัท</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>15</MAXSIZE>
					<SIZE>15</SIZE>
					<ALT_ENG>Company ID</ALT_ENG>
					<ALT_THAI>รหัสบริษัท</ALT_THAI>
				</COMPONENT>
		</COMPID>
		<BRANCHID lang="A" encrypt="false" verify="false" log="false" type="String">
				<WIDTH>15</WIDTH>
				<DESC_ENG>Branch ID</DESC_ENG>
				<DESC_THAI>รหัสสาขาบริษัท</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>15</MAXSIZE>
					<SIZE>15</SIZE>
					<ALT_ENG>Branch ID</ALT_ENG>
					<ALT_THAI>รหัสสาขาบริษัท</ALT_THAI>
				</COMPONENT>
		</BRANCHID>
		<JOBID lang="A" encrypt="false" verify="false" log="false" type="String">
				<RELATION>MJOBCODE</RELATION>
				<WIDTH>15</WIDTH>
				<DESC_ENG>Job ID</DESC_ENG>
				<DESC_THAI>รหัสลักษณะงาน</DESC_THAI>
				<COMPONENT type="text">
					<HELP>JOBCODEHELP</HELP>
					<HELP_RETURN_FIELD>false</HELP_RETURN_FIELD>
					<MAXSIZE>15</MAXSIZE>
					<SIZE>15</SIZE>
					<ALT_ENG>Job ID</ALT_ENG>
					<ALT_THAI>รหัสลักษณะงาน</ALT_THAI>
				</COMPONENT>
		</JOBID>
		<DATEREQ lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Request Date</DESC_ENG>
			<DESC_THAI>วันที่ขอ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Request Date</ALT_ENG>
				<ALT_THAI>วันที่ขอ</ALT_THAI>
			</COMPONENT>
		</DATEREQ>
		<SUBJECT lang="T" encrypt="false" verify="false" log="false" type="String">
			<REFER_LANG>ESUBJECT</REFER_LANG>
			<WIDTH>100</WIDTH>
			<DESC_ENG>Subject (Thai)</DESC_ENG>
			<DESC_THAI>เรื่อง(ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Subject (Thai)</ALT_ENG>
				<ALT_THAI>เรื่อง(ไทย)</ALT_THAI>
			</COMPONENT>
		</SUBJECT>
		<ESUBJECT lang="E" encrypt="false" verify="false" log="false" type="String">
			<REFER_LANG>SUBJECT</REFER_LANG>
			<WIDTH>100</WIDTH>
			<DESC_ENG>Subject (Eng.)</DESC_ENG>
			<DESC_THAI>เรื่อง(อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Subject (Eng.)</ALT_ENG>
				<ALT_THAI>เรื่อง(อังกฤษ)</ALT_THAI>
			</COMPONENT>
		</ESUBJECT>
		<DETAIL lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>4000</WIDTH>
			<DESC_ENG>Detail</DESC_ENG>
			<DESC_THAI>เนื้อหาหลักสูตร</DESC_THAI>
			<COMPONENT type="textarea">
				<SIZECHAR>50</SIZECHAR>
				<LINES>5</LINES>
				<ALT_ENG>Detail</ALT_ENG>
				<ALT_THAI>เนื้อหาหลักสูตร</ALT_THAI>
			</COMPONENT>
		</DETAIL>
		<OBJECTIVE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>4000</WIDTH>
			<DESC_ENG>Objective</DESC_ENG>
			<DESC_THAI>วัตถุประสงค์</DESC_THAI>
			<COMPONENT type="textarea">
				<SIZECHAR>50</SIZECHAR>
				<LINES>5</LINES>
				<ALT_ENG>Objective</ALT_ENG>
				<ALT_THAI>วัตถุประสงค์</ALT_THAI>
			</COMPONENT>
		</OBJECTIVE>
		<CRSDESC lang="T" encrypt="false" verify="true" log="false" type="String">
				<WIDTH>100</WIDTH>
				<REFER_LANG>CRSEDESC</REFER_LANG>
				<DESC_ENG>Desc. (Thai)</DESC_ENG>
				<DESC_THAI>ชื่อหลักสูตร (ไทย)</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>100</MAXSIZE>
					<SIZE>50</SIZE>
					<ALT_THAI>ชื่อหลักสูตร (ไทย)</ALT_THAI>
					<ALT_ENG>Desc. (Thai)</ALT_ENG>
					<REQUIRE>true</REQUIRE>
				</COMPONENT>
		</CRSDESC>
		<CRSEDESC lang="E" encrypt="false" verify="true" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>CRSDESC</REFER_LANG>
			<DESC_ENG>Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>ชื่อหลักสูตร (อังกฤษ) </DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_THAI>ชื่อหลักสูตร (อังกฤษ) </ALT_THAI>
				<ALT_ENG>Desc. (Eng.)</ALT_ENG>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</CRSEDESC>
		<EROOM_NO lang="E" encrypt="false" verify="true" log="true" type="String">
				<WIDTH>10</WIDTH>
				<REFER_LANG>TROOM_NO</REFER_LANG>
				<DESC_ENG>TROOM_NO(Eng.)</DESC_ENG>
				<DESC_THAI>ห้องเลขที่  (อังกฤษ)</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>10</MAXSIZE>
					<SIZE>10</SIZE>
					<ALT_ENG>EROOM_NO (Thai.)</ALT_ENG>
					<ALT_THAI>ห้องเลขที่(อังกฤษ)</ALT_THAI>
				</COMPONENT>
		</EROOM_NO>
		<TROOM_NO lang="T" encrypt="false" verify="true" log="true" type="String">
				<WIDTH>10</WIDTH>
				<REFER_LANG>EROOM_NO</REFER_LANG>
				<DESC_ENG>TROOM_NO(Thai.)</DESC_ENG>
				<DESC_THAI>ห้องเลขที่  (ไทย)</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>10</MAXSIZE>
					<SIZE>10</SIZE>
					<ALT_ENG>TROOM_NO (Thai.)</ALT_ENG>
					<ALT_THAI>ห้องเลขที่(ไทย)</ALT_THAI>
				</COMPONENT>
		</TROOM_NO>
		<INSTDESC lang="T" encrypt="false" verify="true" log="false" type="String">
				<WIDTH>100</WIDTH>
				<REFER_LANG>INSTEDESC</REFER_LANG>
				<DESC_ENG>Desc.(Thai)</DESC_ENG>
				<DESC_THAI>ชื่อสถาบัน (ไทย)</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>100</MAXSIZE>
					<SIZE>50</SIZE>
					<ALT_THAI>ชื่อสถาบัน (ไทย)</ALT_THAI>
					<ALT_ENG>Desc.(Thai)</ALT_ENG>
					<REQUIRE>true</REQUIRE>
				</COMPONENT>
		</INSTDESC>
		<INSTEDESC lang="E" encrypt="false" verify="true" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>INSTDESC</REFER_LANG>
			<DESC_ENG>Desc.(Eng.)</DESC_ENG>
			<DESC_THAI>ชื่อสถาบัน (อังกฤษ) </DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_THAI>ชื่อสถาบัน (อังกฤษ) </ALT_THAI>
				<ALT_ENG>Desc.(Eng.)</ALT_ENG>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</INSTEDESC>
		<LOCDESC lang="T" encrypt="false" verify="true" log="false" type="String">
				<WIDTH>100</WIDTH>
				<REFER_LANG>LOCEDESC</REFER_LANG>
				<DESC_ENG>Desc. (Thai)</DESC_ENG>
				<DESC_THAI>ชื่อสถานที่ (ไทย)</DESC_THAI>
				<COMPONENT type="text">
					<MAXSIZE>100</MAXSIZE>
					<SIZE>50</SIZE>
					<ALT_THAI>ชื่อสถานที่ (ไทย)</ALT_THAI>
					<ALT_ENG>Desc. (Thai)</ALT_ENG>
					<REQUIRE>true</REQUIRE>
				</COMPONENT>
		</LOCDESC>
		<LOCEDESC lang="E" encrypt="false" verify="true" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>LOCDESC</REFER_LANG>
			<DESC_ENG>Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>ชื่อสถานที่ (อังกฤษ) </DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_THAI>ชื่อสถานที่ (อังกฤษ) </ALT_THAI>
				<ALT_ENG>Desc. (Eng.)</ALT_ENG>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</LOCEDESC>
		<COSTREGIS lang="E" encrypt="false" verify="true" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>COSTREGIS</DESC_ENG>
			<DESC_THAI>ค่าลงทะเบียน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_THAI>ค่าลงทะเบียน </ALT_THAI>
				<ALT_ENG>COSTREGIS</ALT_ENG>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</COSTREGIS>
		<TAX lang="E" encrypt="false" verify="true" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>TAX</DESC_ENG>
			<DESC_THAI>ภาษี</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>ภาษี </ALT_THAI>
				<ALT_ENG>TAX</ALT_ENG>
			</COMPONENT>
		</TAX>
		<COMPANYID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>5</WIDTH>
			<RELATION>MCOMPANY</RELATION>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<DISABLE>false</DISABLE>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				<ALT_ENG>Company ID</ALT_ENG>
			</COMPONENT>
		</COMPANYID>
		<START_DATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Start Date</DESC_ENG>
			<DESC_THAI>วันที่เริ่มอบรม</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Start Date</ALT_ENG>
				<ALT_THAI>วันที่เริ่มอบรม</ALT_THAI>
			</COMPONENT>
		</START_DATE>
		<END_DATE lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>End Date</DESC_ENG>
			<DESC_THAI>สิ้นสุดการอบรม</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>End Date</ALT_ENG>
				<ALT_THAI>สิ้นสุดการอบรม</ALT_THAI>
			</COMPONENT>
		</END_DATE>
		<START_TIME lang="A" encrypt="false" verify="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Start Time</DESC_ENG>
			<DESC_THAI>เวลาที่ี่เริ่มอบรม</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Start Time</ALT_ENG>
				<ALT_THAI>เวลาที่ี่เริ่มอบรม</ALT_THAI>
				<ONFOCUS>delDot(this);</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>	
				<ONBLUR>chkTimeOver(this,23,0);</ONBLUR>
			</COMPONENT>
		</START_TIME>
		<END_TIME lang="A" encrypt="false" verify="false" log="false" type="Double">
			<WIDTH>5</WIDTH>
			<DESC_ENG>End Time</DESC_ENG>
			<DESC_THAI>สิ้นสุดเวลา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>End Time</ALT_ENG>
				<ALT_THAI>สิ้นสุดเวลา</ALT_THAI>
				<ONFOCUS>delDot(this);</ONFOCUS>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>	
				<ONBLUR>chkTimeOver(this,23,0);</ONBLUR>
			</COMPONENT>
		</END_TIME>
		<REMAKE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>4000</WIDTH>
			<DESC_ENG>Remake</DESC_ENG>
			<DESC_THAI>หมายเหตุ</DESC_THAI>
			<COMPONENT type="textarea">
				<SIZECHAR>50</SIZECHAR>
				<LINES>5</LINES>
				<ALT_ENG>Remake</ALT_ENG>
				<ALT_THAI>หมายเหตุ</ALT_THAI>
			</COMPONENT>
		</REMAKE>
		<EMP_POSITION lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MPOSITION</RELATION>
			<DESC_ENG>Position</DESC_ENG>
			<DESC_THAI>ตำแหน่ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Position</ALT_ENG>
				<ALT_THAI>ตำแหน่ง</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</EMP_POSITION>
		<JOB lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MJOBCODE</RELATION>
			<DESC_ENG>Job Code</DESC_ENG>
			<DESC_THAI>รายละเอียดงาน</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MJOBCODEHELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Job Code</ALT_ENG>
				<ALT_THAI>รายละเอียดงาน</ALT_THAI>
			</COMPONENT>
		</JOB>
		<EMP_GROUP lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MGROUP</RELATION>
			<DESC_ENG>Employee Group</DESC_ENG>
			<DESC_THAI>กลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MGROUPHELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Employee Group</ALT_ENG>
				<ALT_THAI>กลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMP_GROUP>
		<EMP_LEVEL lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MUSER_LEVEL</RELATION>
			<DESC_ENG>Employee Level</DESC_ENG>
			<DESC_THAI>ระดับของพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Employee Level</ALT_ENG>
				<ALT_THAI>ระดับของพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMP_LEVEL>
		<BRANCH lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MBRANCH</RELATION>
			<DESC_ENG>Company</DESC_ENG>
			<DESC_THAI>บริษัท</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MBRANCHHELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Company</ALT_ENG>
				<ALT_THAI>บริษัท</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</BRANCH>
		<WORKAREA lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MWORKAREA</RELATION>
			<DESC_ENG>Workinq Area</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MWORKAREAHELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Workinq Area</ALT_ENG>
				<ALT_THAI>สถานที่ทำงาน</ALT_THAI>
			</COMPONENT>
		</WORKAREA>
		<SALATYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MSALATYPE0</RELATION>
			<DESC_ENG>Salary Type</DESC_ENG>
			<DESC_THAI>ระยะเวลาการจ่ายเงินเดือน</DESC_THAI>
			<COMPONENT type="Text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Salary Type</ALT_ENG>
				<ALT_THAI>ระยะเวลาการจ่ายเงินเดือน</ALT_THAI>
				<HELP>MSALATYPE0HELP</HELP>
				<HELP_RETURN_FIELD>false</HELP_RETURN_FIELD>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</SALATYPE>
		<BOSSID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Boss ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงานที่เป็นหัวหน้า</DESC_THAI>
			<SALARY>true</SALARY>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Boss ID</ALT_ENG>
				<ALT_THAI>รหัสพนักงานที่เป็นหัวหน้า</ALT_THAI>
			</COMPONENT>
		</BOSSID>
		<BU1 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU1</RELATION>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MBU1HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 1</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 1</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</BU1>
		<BU2 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU2</RELATION>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MBU2HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 2</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 2</ALT_THAI>
			</COMPONENT>
		</BU2>
		<BU3 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU3</RELATION>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MBU3HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 3</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 3</ALT_THAI>
			</COMPONENT>
		</BU3>
		<BU4 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU4</RELATION>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<HELP>MBU4HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 4</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 4</ALT_THAI>
			</COMPONENT>
		</BU4>
		<BU5 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU5</RELATION>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<HELP>MBU5HELP</HELP>
				<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 5</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 5</ALT_THAI>
			</COMPONENT>
		</BU5>
		<APPROVESTAT lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Approve status</DESC_ENG>
			<DESC_THAI>สถานะการอนุมัติ</DESC_THAI>
			<COMPONENT type="text">
 				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<ALT_ENG>Approve status</ALT_ENG>
 				<ALT_THAI>สถานะการอนุมัติ</ALT_THAI>
			</COMPONENT>
		</APPROVESTAT>
</FIELD>
	<RELATION>
	</RELATION>
</HTRAINEEREQ>
